/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import {makeStyles} from '@material-ui/styles';
import styled from 'styled-components'
import TextField from '@material-ui/core/TextField';

const StyledTextField = styled(TextField)`
    max-width: 100%;
    font-size : 15px;
    font-weight : lighter;
    color : inherit;
    width : 100% !important;
    full-width : 100% !important;
`

const useStyles = makeStyles(theme => ({
  container: {
    display: 'flex',
    flexWrap: 'wrap',
    padding: '2px',
  },
  textField: {

    maxWidth: '100%',
    fontSize : '15px',
    fontWeight : 'lighter',
    color : '#00bcd4',
    width : '100%',
  },
}));

export default function FormInput(props) {
  const classes = useStyles();

  return (
        <StyledTextField
          id="standard-basic"
          label={props.placeholder}
          margin="normal"
          id = {props.name}
          name = {props.name}
          type = {props.inputType}
          value = {props.value}
          onChange = {props.handleChange}
          InputProps={{className: classes.input}}
          required = {props.required}
          style={{width:"100%"}}
        />
  );
}
